<?php

namespace Drupal\charts_chartjs\Settings\Chartjs;

/**
 * Class ChartjsChart.
 *
 * @package Drupal\charts_chartjs\Settings\Chartjs
 */
class ChartjsTicks implements \JsonSerializable {

  /**
   * Ticks.
   *
   * @var mixed
   */
  private $ticks;

  /**
   * Set Y-axis as stacked or not.
   *
   * @var bool
   */
  private $stacked;

  /**
   * Get ticks.
   *
   * @return mixed
   *   Get ticks.
   */
  public function getTicks() {
    return $this->ticks;
  }

  /**
   * Set ticks.
   *
   * @param mixed $ticks
   *   Set ticks.
   */
  public function setTicks($ticks) {
    $this->ticks = $ticks;
  }

  /**
   * Is stacked.
   *
   * @return bool
   *   Is stacked.
   */
  public function isStacked() {
    return $this->stacked;
  }

  /**
   * Set stacked.
   *
   * @param bool $stacked
   *   Set stacked.
   */
  public function setStacked(bool $stacked) {
    $this->stacked = $stacked;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
