<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Credits chart.
 */
class ChartCredits implements \JsonSerializable {

  /**
   * Enabled.
   *
   * @var bool
   */
  private $enabled = FALSE;

  /**
   * Text.
   *
   * @var mixed
   */
  private $text;

  /**
   * Position.
   *
   * @var mixed
   */
  private $position;

  /**
   * Href.
   *
   * @var string
   */
  private $href = '#';

  /**
   * Is Enabled.
   *
   * @return bool
   *   Enabled.
   */
  public function isEnabled() {
    return $this->enabled;
  }

  /**
   * Set Enabled.
   *
   * @param bool $enabled
   *   Enabled.
   */
  public function setEnabled($enabled) {
    $this->enabled = $enabled;
  }

  /**
   * Get Text.
   *
   * @return mixed
   *   Text.
   */
  public function getText() {
    return $this->text;
  }

  /**
   * Set Text.
   *
   * @param mixed $text
   *   Text.
   */
  public function setText($text) {
    $this->text = $text;
  }

  /**
   * Get Position.
   *
   * @return mixed
   *   Position.
   */
  public function getPosition() {
    return $this->position;
  }

  /**
   * Set Position.
   *
   * @param mixed $position
   *   Position.
   */
  public function setPosition($position) {
    $this->position = $position;
  }

  /**
   * Get Href.
   *
   * @return mixed
   *   Href.
   */
  public function getHref() {
    return $this->href;
  }

  /**
   * Set Href.
   *
   * @param mixed $href
   *   Href.
   */
  public function setHref($href) {
    $this->href = $href;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
