<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Chart Legend.
 */
class ChartLegendItemStyle implements \JsonSerializable {

  /**
   * Color.
   *
   * @var string
   */
  private $color;

  /**
   * Cursor.
   *
   * @var string
   */
  private $cursor = 'pointer';

  /**
   * Font Size.
   *
   * @var string
   */
  private $fontSize = '12px';

  /**
   * Font Weight.
   *
   * @var string
   */
  private $fontWeight = 'bold';

  /**
   * Text Overflow.
   *
   * @var mixed
   */
  private $textOverflow;

  /**
   * Get Color.
   *
   * @return string
   *   Color.
   */
  public function getColor() {
    return $this->color;
  }

  /**
   * Set Color.
   *
   * @param string $color
   *   Color.
   */
  public function setColor($color) {
    $this->color = $color;
  }

  /**
   * Get Cursor.
   *
   * @return string
   *   Cursor.
   */
  public function getCursor() {
    return $this->cursor;
  }

  /**
   * Set Cursor.
   *
   * @param string $cursor
   *   Cursor.
   */
  public function setCursor($cursor) {
    $this->cursor = $cursor;
  }

  /**
   * Get Font Size.
   *
   * @return string
   *   Font Size.
   */
  public function getFontSize() {
    return $this->fontSize;
  }

  /**
   * Set Font Size.
   *
   * @param string $fontSize
   *   Font Size.
   */
  public function setFontSize($fontSize) {
    $this->fontSize = $fontSize;
  }

  /**
   * Get Font Weight.
   *
   * @return string
   *   Font Weight.
   */
  public function getFontWeight() {
    return $this->fontWeight;
  }

  /**
   * Set Font Weight.
   *
   * @param string $fontWeight
   *   Font Weight.
   */
  public function setFontWeight($fontWeight) {
    $this->fontWeight = $fontWeight;
  }

  /**
   * Get Text Overflow.
   *
   * @return mixed
   *   Text Overflow.
   */
  public function getTextOverflow() {
    return $this->textOverflow;
  }

  /**
   * Set Text Overflow.
   *
   * @param mixed $textOverflow
   *   Text Overflow.
   */
  public function setTextOverflow($textOverflow) {
    $this->textOverflow = $textOverflow;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
