<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Chart Title.
 */
class ChartTitle implements \JsonSerializable {

  /**
   * Text.
   *
   * @var string
   */
  private $text;

  /**
   * Vertical Offset.
   *
   * @var int
   */
  private $y;

  /**
   * Vertical Align.
   *
   * @var string
   */
  private $verticalAlign;

  /**
   * Get Text.
   *
   * @return mixed
   *   Text.
   */
  public function getText() {
    return $this->text;
  }

  /**
   * Set Text.
   *
   * @param mixed $text
   *   Text.
   */
  public function setText($text) {
    $this->text = $text;
  }

  /**
   * Get VerticalOffset.
   *
   * @return int
   *   VerticalOffset.
   */
  public function getVerticalOffset() {
    return $this->y;
  }

  /**
   * Set VerticalOffset.
   *
   * @param int $y
   *   VerticalOffset.
   */
  public function setVerticalOffset($y) {
    $this->y = $y;
  }

  /**
   * Get Vertical Align.
   *
   * @return string
   *   Vertical Align.
   */
  public function getVerticalAlign() {
    return $this->verticalAlign;
  }

  /**
   * Set Vertical Align.
   *
   * @param string $verticalAlign
   *   Vertical Align.
   */
  public function setVerticalAlign($verticalAlign) {
    $this->verticalAlign = $verticalAlign;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
