<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Pane for gauge charts.
 */
class Pane implements \JsonSerializable {

  /**
   * Start Angle.
   *
   * @var int
   */
  private $startAngle = -150;

  /**
   * End Angle.
   *
   * @var int
   */
  private $endAngle = 150;

  /**
   * Get Start Angle.
   *
   * @return int
   *   Start Angle.
   */
  public function getStartAngle() {
    return $this->startAngle;
  }

  /**
   * Set Start Angle.
   *
   * @param int $startAngle
   *   Start Angle.
   */
  public function setStartAngle($startAngle) {
    $this->startAngle = $startAngle;
  }

  /**
   * Get End Angle.
   *
   * @return int
   *   End Angle.
   */
  public function getEndAngle() {
    return $this->endAngle;
  }

  /**
   * Set End Angle.
   *
   * @param int $endAngle
   *   End Angle.
   */
  public function setEndAngle($endAngle) {
    $this->endAngle = $endAngle;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
