<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Plot Options Series.
 */
class PlotOptionsSeries implements \JsonSerializable {

  /**
   * Data Labels.
   *
   * @var mixed
   */
  private $dataLabels;

  /**
   * Depth.
   *
   * @var int
   */
  private $depth = 35;

  /**
   * Marker.
   *
   * @var mixed
   */
  private $marker = '';

  /**
   * Get Data Labels.
   *
   * @return mixed
   *   Data Labels.
   */
  public function getDataLabels() {
    return $this->dataLabels;
  }

  /**
   * Set Data Labels.
   *
   * @param mixed $dataLabels
   *   Data Labels.
   */
  public function setDataLabels($dataLabels) {
    $this->dataLabels = $dataLabels;
  }

  /**
   * Get Depth.
   *
   * @return int
   *   Depth.
   */
  public function getDepth() {
    return $this->depth;
  }

  /**
   * Set Depth.
   *
   * @param int $depth
   *   Depth.
   */
  public function setDepth($depth) {
    $this->depth = $depth;
  }

  /**
   * Get Marker.
   *
   * @return mixed
   *   Marker.
   */
  public function getMarker() {
    return $this->marker;
  }

  /**
   * Set Marker.
   *
   * @param mixed $marker
   *   Marker.
   */
  public function setMarker($marker) {
    $this->marker = $marker;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
