<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Plot Options Series.
 */
class PlotOptionsStacking implements \JsonSerializable {

  /**
   * Data Labels.
   *
   * @var mixed
   */
  private $dataLabels;

  /**
   * Stacking.
   *
   * @var string
   */
  private $stacking = 'normal';

  /**
   * Marker.
   *
   * @var string
   */
  private $marker = '';

  /**
   * Get Data Labels.
   *
   * @return mixed
   *   Data Labels.
   */
  public function getDataLabels() {
    return $this->dataLabels;
  }

  /**
   * Set Data Labels.
   *
   * @param mixed $dataLabels
   *   Data Labels.
   */
  public function setDataLabels($dataLabels) {
    $this->dataLabels = $dataLabels;
  }

  /**
   * Get Stacking.
   *
   * @return mixed
   *   Stacking.
   */
  public function getStacking() {
    return $this->stacking;
  }

  /**
   * Set Stacking.
   *
   * @param mixed $stacking
   *   Stacking.
   */
  public function setStacking($stacking) {
    $this->stacking = $stacking;
  }

  /**
   * Get Marker.
   *
   * @return mixed
   *   Marker.
   */
  public function getMarker() {
    return $this->marker;
  }

  /**
   * Set Marker.
   *
   * @param mixed $marker
   *   Marker.
   */
  public function setMarker($marker) {
    $this->marker = $marker;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
