<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Three Dimensional Options.
 */
class ThreeDimensionalOptions implements \JsonSerializable {

  /**
   * Enabled value.
   *
   * @var bool
   */
  private $enabled = TRUE;

  /**
   * Alpha value.
   *
   * @var int
   */
  private $alpha = 0;

  /**
   * Beta value.
   *
   * @var int
   */
  private $beta = 0;

  /**
   * View distance.
   *
   * @var int
   */
  private $viewDistance = 0;

  /**
   * Get enabled value.
   *
   * @return bool
   *   The enabled value.
   */
  public function getEnabled() {
    return $this->enabled;
  }

  /**
   * Set enabled value.
   *
   * @param int $enabled
   *   The enabled value.
   */
  public function setEnabled($enabled) {
    $this->enabled = $enabled;
  }

  /**
   * Get alpha value.
   *
   * @return int
   *   The alpha value.
   */
  public function getAlpha() {
    return $this->alpha;
  }

  /**
   * Set alpha value.
   *
   * @param int $alpha
   *   The alpha value.
   */
  public function setAlpha($alpha) {
    $this->alpha = $alpha;
  }

  /**
   * Get beta value.
   *
   * @return int
   *   The beta value.
   */
  public function getBeta() {
    return $this->beta;
  }

  /**
   * Set beta value.
   *
   * @param int $beta
   *   The beta value.
   */
  public function setBeta($beta) {
    $this->beta = $beta;
  }

  /**
   * Get view distance.
   *
   * @return int
   *   The view distance.
   */
  public function getViewDistance() {
    return $this->viewDistance;
  }

  /**
   * Set view distance.
   *
   * @param int $viewDistance
   *   The view distance.
   */
  public function setViewDistance($viewDistance) {
    $this->viewDistance = $viewDistance;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
