<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * Chart Tool tip.
 */
class Tooltip implements \JsonSerializable {

  /**
   * Value Suffix.
   *
   * @var string
   */
  private $valueSuffix = '';

  /**
   * Enabled.
   *
   * @var bool
   */
  private $enabled = FALSE;

  /**
   * Get Value Suffix.
   *
   * @return string
   *   Value Suffix.
   */
  public function getValueSuffix() {
    return $this->valueSuffix;
  }

  /**
   * Set Value Suffix.
   *
   * @param string $valueSuffix
   *   Value Suffix.
   */
  public function setValueSuffix($valueSuffix) {
    $this->valueSuffix = $valueSuffix;
  }

  /**
   * Get Enabled.
   *
   * @return bool
   *   Enabled.
   */
  public function getEnabled() {
    return $this->enabled;
  }

  /**
   * Set Enabled.
   *
   * @param bool $enabled
   *   Enabled.
   */
  public function setEnabled($enabled) {
    $this->enabled = $enabled;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
