<?php

namespace Drupal\charts_highcharts\Settings\Highcharts;

/**
 * X Axis.
 */
class Xaxis implements \JsonSerializable {

  /**
   * Categories.
   *
   * @var array
   */
  private $categories = [];

  /**
   * Title.
   *
   * @var mixed
   */
  private $title;

  /**
   * Labels.
   *
   * @var mixed
   */
  private $labels;

  /**
   * Tickmark Placement.
   *
   * @var mixed
   */
  private $tickmarkPlacement;

  /**
   * Min.
   *
   * @var int
   */
  private $min;

  /**
   * Max.
   *
   * @var int
   */
  private $max;

  /**
   * Tick Interval.
   *
   * @var int
   */
  private $tickInterval;

  /**
   * Default is 1 per https://api.highcharts.com/highcharts/xAxis.lineWidth .
   *
   * @var int
   */
  private $lineWidth = 1;

  /**
   * Get Categories.
   *
   * @return array
   *   Categories.
   */
  public function getCategories() {
    return $this->categories;
  }

  /**
   * Set Categories.
   *
   * @param mixed $categories
   *   Categories.
   */
  public function setCategories($categories) {
    $this->categories = $categories;
  }

  /**
   * Get Title.
   *
   * @return mixed
   *   Title.
   */
  public function getTitle() {
    return $this->title;
  }

  /**
   * Set Title.
   *
   * @param mixed $title
   *   Title.
   */
  public function setTitle($title) {
    $this->title = $title;
  }

  /**
   * Get Labels.
   *
   * @return mixed
   *   Labels.
   */
  public function getLabels() {
    return $this->labels;
  }

  /**
   * Set Labels.
   *
   * @param mixed $labels
   *   Labels.
   */
  public function setLabels($labels) {
    $this->labels = $labels;
  }

  /**
   * Get Tickmark Placement.
   *
   * @return mixed
   *   Tickmark Placement.
   */
  public function getTickmarkPlacement() {
    return $this->tickmarkPlacement;
  }

  /**
   * Set Tickmark Placement.
   *
   * @param mixed $tickmarkPlacement
   *   Tickmark Placement.
   */
  public function setTickmarkPlacement($tickmarkPlacement) {
    $this->tickmarkPlacement = $tickmarkPlacement;
  }

  /**
   * Get Min.
   *
   * @return int
   *   Min.
   */
  public function getMin() {
    return $this->min;
  }

  /**
   * Set Min.
   *
   * @param int $min
   *   Min.
   */
  public function setMin($min) {
    $this->min = $min;
  }

  /**
   * Get Max.
   *
   * @return int
   *   Max.
   */
  public function getMax() {
    return $this->max;
  }

  /**
   * Set Max.
   *
   * @param int $max
   *   Max.
   */
  public function setMax($max) {
    $this->max = $max;
  }

  /**
   * Get Tick Interval.
   *
   * @return int
   *   Tick Interval.
   */
  public function getTickInterval() {
    return $this->tickInterval;
  }

  /**
   * Set Tick Interval.
   *
   * @param int $tickInterval
   *   Tick Interval.
   */
  public function setTickInterval($tickInterval) {
    $this->tickInterval = $tickInterval;
  }

  /**
   * Get Line Width.
   *
   * @return int
   *   Line Width.
   */
  public function getLineWidth() {
    return $this->lineWidth;
  }

  /**
   * Set Line Width.
   *
   * @param int $lineWidth
   *   Default is 1 per https://api.highcharts.com/highcharts/xAxis.lineWidth .
   */
  public function setLineWidth($lineWidth) {
    $this->lineWidth = $lineWidth;
  }

  /**
   * Json Serialize.
   *
   * @return array
   *   Json Serialize.
   */
  #[\ReturnTypeWillChange]
  public function jsonSerialize() {
    $vars = get_object_vars($this);

    return $vars;
  }

}
