<?php

namespace Drupal\charts\Plugin\override;

/**
 * Defines an interface for ChartSettings plugins.
 */
interface ChartOverrideInterface {

  /**
   * Return the name of the reusable chart setting plugin.
   *
   * @return string
   *   The name of the chart setting plugin.
   */
  public function getName();

  /**
   * Builds an array of Chart Settings with key value pairs.
   *
   * @param array $settings
   *   An array of chart settings.
   *
   * @return array
   *   An array of chart settings.
   */
  public function chartOverrides(array $settings = []);

}
