<?php

namespace Drupal\charts\Settings;

/**
 * Default colors for charts.
 */
class ChartsDefaultColors {

  /**
   * The default colors.
   *
   * @var array
   */
  protected $defaultColors = [
    '#2f7ed8',
    '#0d233a',
    '#8bbc21',
    '#910000',
    '#1aadce',
    '#492970',
    '#f28f43',
    '#77a1e5',
    '#c42525',
    '#a6c96a',
  ];

  /**
   * Get the default colors.
   *
   * @return array
   *   An array of color codes.
   */
  public function getDefaultColors() {
    return $this->defaultColors;
  }

  /**
   * Set the default colors.
   *
   * @param array $defaultColors
   *   An array of color codes.
   */
  public function setDefaultColors(array $defaultColors) {
    $this->defaultColors = $defaultColors;
  }

}
